%bcond_with bootstrap

Name:           build-helper-maven-plugin
Version:        3.6.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Build Helper Maven Plugin
License:        MIT
URL:            https://www.mojohaus.org/build-helper-maven-plugin/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/codehaus/mojo/build-helper-maven-plugin/%{version}/build-helper-maven-plugin-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.shared:file-management)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
%endif

%description
This plugin contains various small independent goals to assist with
Maven build lifecycle.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q

%pom_add_dep junit:junit::test

rm src/main/java/org/codehaus/mojo/buildhelper/BeanshellPropertyMojo.java
%pom_remove_dep :bsh

%pom_remove_plugin :maven-invoker-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt




%changelog
* Mon Jul 15 2024 daviddavid <daviddavid> 3.6.0-1.mga10
+ Revision: 2081636
- Update to upstream version 3.6.0

* Sat May 25 2024 daviddavid <daviddavid> 3.5.0-1.mga10
+ Revision: 2067593
- new version: 3.5.0
- renamed to build-helper-maven-plugin
+ ns80 <ns80>
- rebuild for java 21

* Mon Jul 25 2022 neoclust <neoclust> 3.3.0-2.mga9
+ Revision: 1871458
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.3.0-1.mga9
+ Revision: 1870715
- New version 3.3.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Aug 24 2020 neoclust <neoclust> 3.2.0-1.mga8
+ Revision: 1618556
- New version 3.2.0

* Wed Feb 12 2020 umeabot <umeabot> 1.9.1-7.mga8
+ Revision: 1491757
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.9.1-6.mga7
+ Revision: 1264073
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1.9.1-5.mga6
+ Revision: 1101425
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.9.1-3.mga6
+ Revision: 977321
- First rebuild of the java stack
- sync package maven-plugin-build-helper with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Jan 19 2015 pterjan <pterjan> 1.9.1-1.mga5
+ Revision: 811411
- Patch to fix build
- Sync with Fedora 21 (Update to 1.9)

* Wed Oct 15 2014 umeabot <umeabot> 1.8-5.mga5
+ Revision: 740586
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.8-3.mga4
+ Revision: 535134
- Mageia 4 Mass Rebuild
+ dmorgan <dmorgan>
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 1.8-1.mga4
+ Revision: 481183
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.5-6.mga3
+ Revision: 359706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 1.5-5.mga3
+ Revision: 267877
- Adapt to guidelines

* Thu Apr 28 2011 dmorgan <dmorgan> 1.5-4.mga1
+ Revision: 92712
- Rebuild after bootstrapping
- imported package maven-plugin-build-helper

